//
//  GoodsModel.m
//  AppPiza
//
//  Copyright (c) 2014 CJSC "Computing Forces"
//

#import "GoodsModel.h"



@implementation GoodsModel

- (instancetype)initWithDictionary:(NSDictionary *)dictionary {
    self = [super initWithDictionary:dictionary];
    if (self) {
        self.name = dictionary[@"name"];
        self.desc = dictionary[@"description"];
        self.imageUrl = dictionary[@"image"] ? [NSURL URLWithString:dictionary[@"image"]] : nil;
        self.price = [dictionary[@"price"] floatValue];
    }
    return self;
}



- (void)dealloc {
    [_name release];
    [_desc release];
    [_imageUrl release];
    
    [super dealloc];
}

@end
