//
//  ServiceOperationDataSource.h
//  AppPiza
//
//  Copyright (c) 2014 CJSC "Computing Forces"
//

#import <Foundation/Foundation.h>

@class ServiceOperation;


// All methods are called from non-main thread
@protocol ServiceOperationDataSource <NSObject>

@optional

- (NSURL *)endpointURLForOperation:(ServiceOperation *)operation;
- (NSString *)httpMethodForOperation:(ServiceOperation *)operation;
- (NSData *)httpBodyDataForOperation:(ServiceOperation *)operation;
- (NSDictionary *)httpHeadersForOperation:(ServiceOperation *)operation;

- (NSStringEncoding)responseStringEncodingForOperation:(ServiceOperation *)operation;

@end
