<?php

require_once("constants.php");
require_once('database.php');


// Functions
function OrderStateToString($state) {
    if ($state == kOrderStateAdded) return 'Added';
    else if ($state == kOrderStateInitiated) return 'Initiated';
    else if ($state == kOrderStateConfirmed) return 'Confirmed';
    else if ($state == kOrderStateFailed) return 'Failed';
    else if ($state == kOrderStateCancelled) return 'Cancelled';
    else if ($state == kOrderStateDelivered) return 'Delivered';
    
    return 'Unknown';
}

?>



<html>

    <head>
        <title>X20 Test - Orders list</title>
    </head>


    <body>
        
        Filters:<br/>
        State:
        <a href='/orders.php'>All</a>
        <a href='/orders.php?state=0'>Added</a>
        <a href='/orders.php?state=1'>Initiated</a>
        <a href='/orders.php?state=2'>Confirmed</a>
        <a href='/orders.php?state=3'>Failed</a>
        <a href='/orders.php?state=4'>Cancelled</a>
        <a href='/orders.php?state=5'>Delivered</a>
        
        <ol>
<?php
    // Building filters string
    $state = ($_GET['state'] === null) ? $_GET['state'] : mysql_escape_string($_GET['state']);

    // Fetch orders data from data base
    $db = ConnectDB();
    
    $filters = ($state === null) ? '' : "WHERE orders.state = $state";
    $query = "SELECT * FROM orders $filters";
    
    $result = mysql_query($query);
    while ($line = mysql_fetch_array($result)) {
        $orderNo = $line['id'];
        $phone = $line['phone'];
        $orderState = $line['state'];
        
        $orderStateStr = OrderStateToString($orderState);
        
        echo("<li>No: $orderNo<br/>Phone: $phone<br/>State: $orderStateStr<br/>");
        echo('<ul>');
        
        // Fetch all order items
        $query = "SELECT goods.*, orders_to_goods.count FROM orders_to_goods, goods WHERE goods.id = orders_to_goods.good_id AND orders_to_goods.order_id = $orderNo";
        
        $goodResult = mysql_query($query);
        while ($goodLine = mysql_fetch_array($goodResult)) {
            $goodName = $goodLine['name'];
            $count = $goodLine['count'];
            
            echo("<li>$goodName (x$count)</li>");
        }
        
        mysql_free_result($goodResult);
        
        echo("</ul>");
        
        if ($orderState == kOrderStateConfirmed) {
            echo("<a href = '/deliver.php?order_id=$orderNo'>Deliver</a></br>");
        }
        
        echo('</br></li>');
    }
    
    mysql_free_result($result);
    DisconnectDB($db);
?>
        </ol>
        
        <br/>
        <a href="/index.php">Main page</a>
    </body>

</html>