//
//  ServiceOperationDelegate.h
//  AppPiza
//
//  Copyright (c) 2014 CJSC "Computing Forces"
//

#import <Foundation/Foundation.h>

#import "ServiceGlobals.h"


@class ServiceOperation;


@protocol ServiceOperationDelegate <NSObject>

@optional

- (void)serviceOperation:(ServiceOperation *)operation didChangeStateFrom:(ServiceOperationState)oldState toState:(ServiceOperationState)newState;
- (void)serviceOperation:(ServiceOperation *)operation didFinishWithResponseData:(NSData *)responseData statusCode:(NSUInteger)statusCode responseStringEncoding:(NSStringEncoding)responseStringEncoding;
- (void)serviceOperation:(ServiceOperation *)operation didFailWithError:(NSError *)error;

@end
