//
//  NSDate+Formatting.h
//  iSP
//
//  Copyright (c) 2014 CJSC "Computing Forces"
//

#import <Foundation/Foundation.h>


@interface NSDate (Formatting)

+ (NSDate *)dateFromString:(NSString *)dateString withFormat:(NSString *)format;
+ (NSDate *)dateFromString:(NSString *)dateString withFormat:(NSString *)format timeZone:(NSTimeZone *)timeZone;
+ (NSDate *)parseRFC3339Date:(NSString *)dateString;

- (NSString *)dateStringWithFormat:(NSString *)format;

@end
