-- phpMyAdmin SQL Dump
-- version 4.0.6
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Mar 20, 2014 at 11:52 AM
-- Server version: 5.5.33
-- PHP Version: 5.5.3

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";

--
-- Database: `x20_server_db`
--

-- --------------------------------------------------------

--
-- Table structure for table `goods`
--

CREATE TABLE `goods` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(64) COLLATE utf8mb4_bin NOT NULL,
  `description` varchar(256) COLLATE utf8mb4_bin DEFAULT NULL,
  `price` float NOT NULL,
  `image` varchar(128) COLLATE utf8mb4_bin DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin AUTO_INCREMENT=7 ;

--
-- Dumping data for table `goods`
--

INSERT INTO `goods` (`id`, `name`, `description`, `price`, `image`) VALUES
(1, 'Pizza #1', 'Description text of "Pizza #1"', 0.01, 'http://tipenza.ru/pizza-icon.png'),
(2, 'Pizza #2', 'Description text of "Pizza #2"', 0.02, 'http://a1634.phobos.apple.com/us/r30/Purple/v4/33/7e/f9/337ef964-6816-f991-e96c-e18f8110676c/mzl.kloqwuiu.256x256-75.jpg'),
(3, 'Pizza #3', 'Description text of "Pizza #3"', 0.03, 'http://www.iconshock.com/img_jpg/BRILLIANT/food/jpg/256/pizza_icon.jpg'),
(4, 'Pizza #4', 'Description text of "Pizza #4"', 0.04, 'http://www.iconshock.com/img_jpg/REALVISTA/food/jpg/256/pizza_icon.jpg'),
(5, 'Pizza #5', 'Description text of "Pizza #5"', 0.05, 'http://cs408217.vk.me/v408217319/ae3d/EWooMUpQDBo.jpg'),
(6, 'Pizza #6', 'Description text of "Pizza #6"', 0.06, 'http://www.urbi-et-orbi.spb.ru/modules/mod_p30bubblemenu/images/pizza.png');

-- --------------------------------------------------------

--
-- Table structure for table `orders`
--

CREATE TABLE `orders` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `phone` varchar(12) COLLATE utf8mb4_bin DEFAULT NULL,
  `state` int(11) NOT NULL DEFAULT '0',
  `confirm_fails` int(11) NOT NULL DEFAULT '0',
  `wminvoiceid` int(11) DEFAULT NULL,
  `wmtransid` int(11) DEFAULT NULL,
  `realsmstype` int(11) DEFAULT NULL,
  `amount` float DEFAULT NULL,
  `date` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL,
  `purpose` varchar(256) COLLATE utf8mb4_bin DEFAULT NULL,
  `purse_from` varchar(13) COLLATE utf8mb4_bin DEFAULT NULL,
  `wmid_from` varchar(13) COLLATE utf8mb4_bin DEFAULT NULL,
  `address` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL,
  `device_id` varchar(36) COLLATE utf8mb4_bin NOT NULL,
  PRIMARY KEY (`id`),
  KEY `user_id` (`phone`),
  KEY `user_id_2` (`phone`),
  KEY `user_id_3` (`phone`),
  KEY `user_id_4` (`phone`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `orders_to_goods`
--

CREATE TABLE `orders_to_goods` (
  `order_id` int(11) NOT NULL,
  `good_id` int(11) NOT NULL,
  `count` int(11) NOT NULL DEFAULT '1',
  UNIQUE KEY `unique_link` (`order_id`,`good_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;
